
Katello - Bug #5974

UI: rotating spinner when selecting 'x' to remove installed packages.

05/28/2014 08:01 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1098165 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1098165

Description of problem:

I was trying to remove installed package from selected content host by clicking 'x' on UI. When I clicked on 'x', spinner starts rotating

and keep on rotating.

I didn't see any exception/error neither in production.log nor on client under /var/log/gofer/agent.log

Version-Release number of selected component (if applicable):

sat6 beta snap4:

Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.7-1.el6sat.noarch

foreman-compute-1.6.0.7-1.el6sat.noarch

foreman-gce-1.6.0.7-1.el6sat.noarch

foreman-libvirt-1.6.0.7-1.el6sat.noarch

foreman-ovirt-1.6.0.7-1.el6sat.noarch

foreman-postgresql-1.6.0.7-1.el6sat.noarch

foreman-proxy-1.6.0.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.6.0.7-1.el6sat.noarch

katello-1.5.0-22.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. register a client with sat6 server

2. install tools (katello-agent) on client

3. start goferd

4. now go to sat6 server-->content-host > registered system -> packages-> click on 'x' to remove selected package.

Actual results:

Expected results:

package should be removed and a link should generate that points to removed package status under 'tasks'

Additional info:

Related issues:

Has duplicate Katello - Bug #4886: single package removal stays pending Duplicate 03/26/2014

Associated revisions

Revision 8a373592 - 06/09/2014 05:53 PM - Brad Buckingham

fixes #5974 / BZ1098165 - content host - fix issue with spinner on package deletion

Prior to this commit when a user would click the (X) to delete

a package, the the (X) would turn in to a spinner and spin forever.

Although, this occured, the package would actually be deleted from

the client (content host).

This commit contains a few changes:

1. Update the behavior of deleting a package to be consistent with

the other supported actions.  This basically means to take the

user to the dynflow tasks pane which shows the status/progress

of the deletion.

2. Remove the existing 'ContentHostTask' logic.  Since the content

host actions are all dynflow, this logic is no longer used/needed.

3. Update the humanized input of the task to handle the fact that

when a package is deleted using the list it isn't deleted based

upon only the package name, but by a hash consisting of

name+version+release+arch.

4. Add an error handler to show any errors from the server when

the action request is initially sent.

Revision c59cd529 - 06/09/2014 09:53 PM - Brad Buckingham

fixes #5974 / BZ1098165 - content host - fix issue with spinner on package deletion

Prior to this commit when a user would click the (X) to delete

a package, the the (X) would turn in to a spinner and spin forever.

Although, this occured, the package would actually be deleted from

the client (content host).

This commit contains a few changes:

1. Update the behavior of deleting a package to be consistent with

the other supported actions.  This basically means to take the

user to the dynflow tasks pane which shows the status/progress

of the deletion.

2. Remove the existing 'ContentHostTask' logic.  Since the content

host actions are all dynflow, this logic is no longer used/needed.

3. Update the humanized input of the task to handle the fact that

when a package is deleted using the list it isn't deleted based

upon only the package name, but by a hash consisting of

name+version+release+arch.

4. Add an error handler to show any errors from the server when

the action request is initially sent.
Revision 4177a657 - 06/11/2014 10:00 AM - Brad Buckingham

Merge pull request #4237 from bbuckingham/issue-5974

fixes #5974 / BZ1098165 - content host - fix issue with spinner on package deletion

Revision 6bbef672 - 06/11/2014 02:00 PM - Brad Buckingham

Merge pull request #4237 from bbuckingham/issue-5974

fixes #5974 / BZ1098165 - content host - fix issue with spinner on package deletion

History

#1 - 05/28/2014 08:02 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged set to Yes

#2 - 06/09/2014 07:33 PM - Brad Buckingham

- Target version set to 45

- translation missing: en.field_release set to 13

#3 - 06/11/2014 02:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c59cd5299527e0abe1b5f9acdeb23d7b5b78a20b.

#4 - 06/12/2014 06:45 PM - Eric Helms

- Has duplicate Bug #4886: single package removal stays pending added
